import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 760;
const height = 400;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 10;
const eyeOffsetX = 80;
const eyeOffsetY = 80;
const eyeRadius = 23;
const mouthWidth = 15;
const mouthRadius = 110;

const mouthArc = arc()
	.innerRadius(mouthRadius)
	.outerRadius(mouthRadius+mouthWidth)
	.startAngle(Math.PI/2)
	.endAngle(Math.PI * 3/2);

const App = () => (
  <svg width={width} height={height}>
    <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth / 2}
        fill="black"
        stroke="orange"
        stroke-width={strokeWidth}
        />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
        fill="orange"
        />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
        fill="orange"
        />
      <path d={mouthArc()}
         fill="orange"
        />
    </g>
  </svg>
);

const rootElement = document.getElementById("root");
ReactDOM.render(<App/ >, rootElement);